@import "ember-bootstrap/bootstrap";

/* color defintions */
$prpl-dark: #782572;
$prpl-medium: #f0d0ee;
$prpl-lighter: #fff4fe;

html {
  font-size: 0.9em;
}

body {
  background-color: $prpl-lighter;
}

h2 {
  font-size: 1.5em;
  padding-top: 0.45em;
  margin-bottom: 1em;
}

a {
  color: $prpl-dark;
}

/* logo for login page */
.logo {
  width: 200px;
  height: 100px;
  background-image: url('/assets/images/prpl-logo.png');
  background-size: 125px 46px;
  background-position: center;
  background-repeat: no-repeat;
}

.row .logo {
  margin: 4em auto 1em auto;
}

.logo .label {
  display: none;
}

/* vertical navbar */
.navbar-vertical {
  position: fixed;
  display: inline-block;
  width: 100%;
  padding: 0;
  z-index: 100;
}

.navbar-vertical.navbar-expand-xl {
  width: 12.625rem;
  height: calc(100vh - 4.3125rem);
}

.navbar-vertical .logo {
  width: 100px;
  height: 50px;
  background-image: url('/assets/images/prpl-logo.png');
  background-size: 97px 34px;
  background-repeat: no-repeat;
}

.navbar-vertical .logo .label {
  display: none;
}

.navbar-vertical a {
  color: #000;
  text-decoration: none;
}

.navbar-vertical .separator {
  display: flex;
  margin-top: 1em;
  color: #878787;
  font-size: 0.8em;
}

.navbar-vertical .separator span {
  flex-grow: 1;
}

.navbar-vertical .separator span hr {
  margin: 0.65rem 0 0 0.5rem;
  opacity: 1;
}

.navbar-vertical.navbar-expand-xl+.content {
  margin-left: 12.625rem;
}

.navbar-vertical .disabled a {
  color: #999;
}

#top-header {
  margin-bottom: 1em;
  border-bottom: solid 2px $prpl-dark;
  background-color: #fff;
}

#main {
  margin-top: 4em;
}

.nav-tabs,
.nav-pills {
  padding-top: 0.45em;
  margin-bottom: 1em;
  font-weight: bold;
}

.nav-link {
  color: $prpl-dark;
}

.nav-pills .nav-link.active {
  background-color: $prpl-dark;
}

/* form elements */
.form-label {
  margin-left: 0.75rem;
  font-size: 0.8rem;
}

.form-check {
  padding-top: 0.45rem;
  padding-bottom: 0.45rem;
}  

/* buttons */
.btn-primary {
  background-color: $prpl-dark;
}

.btn-primary:disabled {
  background-color: $prpl-medium;
  border-color: $prpl-dark;
}

/* file dropzone */
.file-dropzone {
  text-align: center;
  border: dashed #666;
  padding: 5em 1em;
}

.file-dropzone svg {
  display: block;
  vertical-align: middle;
}